For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DonorAtlasDashboard
  • Getting Started
    • Welcome
    • Authentication
    • Quickstart
  • Guides
    • Donor Profile Schema
    • Network
    • Credits & Billing
    • Error Handling
  • API Reference
      • POSTSubmit person records for enhancement
      • POSTGet progress for multiple enhancements
      • GETGet enhancement progress
      • POSTGet enhancement results
LogoLogo
DonorAtlasDashboard
API ReferenceEnhance

Get enhancement results

POST
https://api.donoratlas.com/v1/partners/enhancements/results/batch
POST
/v1/partners/enhancements/results/batch
$curl -X POST https://api.donoratlas.com/v1/partners/enhancements/results/batch \
> -H "x-api-key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "enhancement_ids": [
> "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
> "4df98922-b22b-4c18-b002-daf8a8cc9c48"
> ]
>}'
1{
2 "states": {
3 "a1b2c3d4e5f6": {
4 "progress": {
5 "status": "completed"
6 },
7 "result": {
8 "donoratlas_url": "https://app.donoratlas.com/donor/b7c0bc58fb754fa6883ac7bbd6526584",
9 "name": {
10 "first": "John",
11 "last": "Smith",
12 "middle": "A"
13 }
14 }
15 }
16 }
17}
Get the results for a list of enhancements. This route also returns the progress of unfinished enhancements, and can therefore also be used to periodically fetch results and update local progress at the same time (instead of using the /enhancements/{enhancement_id}/progress route). **Maximum: 10 enhancement IDs per request.** See the [Donor Profile Schema](/guides/donor-profile) guide for details on confidence scores, data sources, and financial fields in the returned profiles.
Was this page helpful?
Previous

Export donors to CSV or XLSX

Next
Built with

Get the results for a list of enhancements. This route also returns the progress of unfinished enhancements, and can therefore also be used to periodically fetch results and update local progress at the same time (instead of using the /enhancements/{enhancement_id}/progress route). Maximum: 10 enhancement IDs per request. See the Donor Profile Schema guide for details on confidence scores, data sources, and financial fields in the returned profiles.

Authentication

x-api-keystring

Your DonorAtlas API key. Contact support@donoratlas.com to get started.

Request

This endpoint expects an object.
enhancement_idslist of stringsRequired
The enhancement IDs to get results for

Response

Successful Response
statesmap from strings to objects

Errors

422
Unprocessable Entity Error